Bug 177082 - Nativearrays are not properly formatted
Nativearrays are not properly formatted
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: Anton Chechel
issues@javafx
68patch1-verified
:
Depends on:
Blocks: 173487
  Show dependency treegraph
 
Reported: 2009-11-18 06:49 UTC by Alexandr Scherbatiy
Modified: 2010-01-25 05:48 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-11-18 06:49:07 UTC
Product Version         = NetBeans IDE Dev (Build 200911170201) (#3dca89945b8c)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun Microsystems Inc.


Steps to reproduce:
- Format code:
Case 1:
----------------------------------------
java.util.Arrays.sort(raw);
var strRes: String = java.util.Arrays.toString(raw);
println(strRes);
var arr = ["1", "2"] as  nativearray of String;
----------------------------------------

Case 2:
----------------------------------------
var arr = ["1", "2"] as nativearray of String;
var b = 3;
----------------------------------------

The results are:
----------------------------------------
var str = "Simple string";
var raw:   



   


     nativearray of Byte = str.getBytes();

java.util.Arrays.sort(raw);
var strRes: String = java.util.Arrays.toString(raw);
println(strRes);
----------------------------------------

and 
----------------------------------------
var arr = ["1", "2"] as 
  nativearray of String;
var b = 3;
----------------------------------------
Comment 1 Alexandr Scherbatiy 2009-11-18 07:30:25 UTC
The Case 1 should be:
-----------------------------------------------------------------
var str = "Simple string";
var raw: nativearray of Byte = str.getBytes();

java.util.Arrays.sort(raw);
var strRes: String = java.util.Arrays.toString(raw);
println(strRes);
-----------------------------------------------------------------
Comment 2 Anton Chechel 2009-11-23 05:24:05 UTC
fixed
http://hg.netbeans.org/javafx/rev/83df0b8e8d93
Comment 3 Alexandr Scherbatiy 2009-12-09 02:54:50 UTC
NetBeans-JavaFX-Soma #60

- Format code:
--------------------------------------------------
var arr = ["1", "2"] as nativearray of String;
var b = 3;
--------------------------------------------------

The result is:
--------------------------------------------------
var arr = ["1", "2"] as 
  nativearray of String;
var b = 3;
--------------------------------------------------
Comment 4 Anton Chechel 2009-12-09 08:42:48 UTC
fixed
http://hg.netbeans.org/javafx/rev/8bc73ca13cd4
Comment 5 Alexandr Scherbatiy 2009-12-10 06:06:53 UTC
verified in NetBeans-JavaFX-Soma: #61
Comment 6 Petr Suchomel 2010-01-15 03:14:41 UTC
Respective CS for release68_fixes
http://hg.netbeans.org/javafx/rev/d1bfb13acc13
http://hg.netbeans.org/javafx/rev/aaa46fb677a2
Comment 7 Alexandr Scherbatiy 2010-01-25 05:48:45 UTC
Verified in NB 6.8 patch1 netbeans-6.8-201001241915-javafx-full.zip from
/builds/netbeans/6.8/fixes


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo